Endeavours
Goal-oriented work containers
Goal-oriented work containers
Endpoints
List endeavours
GET /api/v1/endeavours
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
| `` | | string | | |
status | query | string | | |
organization_id | query | string | | |
search | query | string | | |
Responses
| Code | Description |
|---|
200 | Endeavour list |
Create endeavour
POST /api/v1/endeavours
Requires authentication.
Request Body
| Field | Type | Required | Description |
|---|
description | string | | |
end_date | string | | |
goals | array | | |
lang | string | | |
metadata | object | | |
name | string | Yes | |
start_date | string | | |
timezone | string | | |
Responses
| Code | Description |
|---|
201 | Endeavour created |
Get endeavour
GET /api/v1/endeavours/{id}
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
Responses
| Code | Description |
|---|
200 | Endeavour details |
404 | |
Update endeavour
PATCH /api/v1/endeavours/{id}
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
Request Body
| Field | Type | Required | Description |
|---|
description | string | | |
end_date | string | | |
goals | array | | |
lang | string | | |
metadata | object | | |
name | string | | |
start_date | string | | |
status | string | | |
timezone | string | | |
Responses
| Code | Description |
|---|
200 | Endeavour updated |
Preview archive impact
GET /api/v1/endeavours/{id}/archive
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
Responses
| Code | Description |
|---|
200 | Archive impact summary |
Archive endeavour
POST /api/v1/endeavours/{id}/archive
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
Request Body
| Field | Type | Required | Description |
|---|
reason | string | | |
Responses
| Code | Description |
|---|
200 | Endeavour archived |
Export endeavour data
GET /api/v1/endeavours/{id}/export
Requires authentication.
Parameters
| Name | In | Type | Required | Description |
|---|
| `` | | string | | |
Responses
| Code | Description |
|---|
200 | Full endeavour export (JSON) |